function [] = plot_LP(X, sol_val_lp, c_val)
    figure; hold on;
    plot(X, 'color', 'blue', 'alpha', 0.5);
    X.plot('wire', true, 'linewidth', 2);
    
    plot([0 c_val(1)], [0, c_val(2)], color='green', LineWidth=2);

    % Scatter plot for the optimal solution (xcas)
    scatter(sol_val_lp(1), sol_val_lp(2), 50, 'filled', 'r');
    
    % Set the axis
    a = 2 * axis;
    axis(a);
    
    % Plot the linear cost line
    plot(a([1 2]), ((c_val' * sol_val_lp(:) - c_val(1) .* a([1 2])) ./ c_val(2)), 'k');
    
    % Plot additional lines
    for i = 0:0.5:2
        if i ~= 1
            plot(a([1 2]), ((i * c_val' * sol_val_lp(:) - c_val(1) .* a([1 2])) ./ c_val(2)), 'LineStyle', '--');
        end
    end
    xlim([-7 7]);
    ylim([-7 7]);
end
