clear all; close all; clc;
import casadi.*

% Declare symbolic variables
x = MX.sym('x');
y = MX.sym('y');
w = x + y;
z = w * y; 
z = 4 * z;         % z = 4 * (x + y) * y
J = jacobian(z,y); % node in graph

%% Function
f = Function('f' , {x, y}, {z});
r = f(1, 2)   % evaluates the function
class(r)      % returns the type, casadi.DM 
r2 = full(r)  % converts from DM to double
class(r2)     % returns the type, double

function [z] = f1(x,y)
    w = x + y;
    z = w * y;
    z = 4 * z;
end
r = f1(x, y) % different than Function
class(r)     % casadi.MX
