clear all; close all; clc;
import casadi.*

%% Inline function
x = MX.sym('x');
y = MX.sym('y');
w = x + y;
z = w * y;
z = 4 * z; % z = 4 * (x + y) * y

f = Function('f', {x, y}, {z});
% f.call({#params}, <always_inline>, <never_inline>)
fni = f.call({1, sin(x)}, false, true);  % never inline
fai = f.call({1, sin(x)}, true, false);  % always inline

disp(fni{1});
disp(fai{1});

%% Expanding
n = 10;
x = MX.sym('x', n, n);
y = MX.sym('y', n, 1);
w = x + y;
z = w * y;
z = 4 * z;

fMX = Function('f', {x, y}, {z});
fSX = fMX.expand();

disp('Function fMX: ');
disp(fMX, true);

disp('Function fSX: ');
disp(fSX, true);
